<?php
declare(strict_types=1);

namespace SnmpTrapModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * Snmptt Entity
 *
 * @property int $id
 * @property string $eventname
 * @property string $eventid
 * @property string $trapoid
 * @property string $enterprise
 * @property string $community
 * @property string $hostname
 * @property string $agentip
 * @property string $category
 * @property string $severity
 * @property string $uptime
 * @property string $traptime
 * @property string $formatline
 * @property int $trapread
 */
class Snmptt extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'eventname'  => true,
        'eventid'    => true,
        'trapoid'    => true,
        'enterprise' => true,
        'community'  => true,
        'hostname'   => true,
        'agentip'    => true,
        'category'   => true,
        'severity'   => true,
        'uptime'     => true,
        'traptime'   => true,
        'formatline' => true,
        'trapread'   => true,
    ];
}
