{{STATIC_FILE_HEADER}}

[General]
mode = daemon
multiple_event = 0
dns_enable = 0
net_snmp_perl_enable = 1
net_snmp_perl_best_guess = 2
mibs_environment = ALL

[DaemonMode]
daemon_fork = 1
daemon_uid = snmptt
pid_file = /var/run/snmptt.pid
spool_directory = /var/spool/snmptt/

[SQL]
mysql_dbi_enable = 1
mysql_dbi_host = {{db_host}}
mysql_dbi_port = {{db_port}}
mysql_dbi_username = {{db_user}}
mysql_dbi_password = {{db_password}}
mysql_dbi_database = {{db_name}}
mysql_dbi_table = snmptt
mysql_dbi_table_unknown = snmptt_unknown

[Logging]
unknown_trap_log_enable = {{unknown_trap_log_enable}}

[Debugging]
DEBUGGING = {{debugging}}
DEBUGGING_FILE = {{debugging_file}}

[TrapFiles]
# A list of snmptt.conf files (this is NOT the snmptrapd.conf file). The COMPLETE path
# and filename. Ex: '/etc/snmp/snmptt.conf'
snmptt_conf_files = <<END
/etc/snmp/snmptt.conf
END
